facter-1.5.7-1.PU_IAS.5.noarch.rpm


Advertisement

Description

facter - Ruby module for collecting simple facts about a host operating system

Property Value
Distribution CentOS 5
Repository PUIAS Unsupported i386
Package name facter
Package version 1.5.7
Package release 1.PU_IAS.5
Package architecture noarch
Package type rpm
Installed size 184.58 KB
Download size 49.55 KB
Official Mirror springdale.math.ias.edu
Ruby module for collecting simple facts about a host Operating
system. Some of the facts are preconfigured, such as the hostname and the
operating system. Additional facts can be added through simple Ruby scripts

Alternatives

Package Version Architecture Repository
facter-1.6.18-3.el5.i386.rpm 1.6.18 i386 EPEL
facter-1.6.18-3.el5.x86_64.rpm 1.6.18 x86_64 EPEL
facter-1.6.4-1.el5.rf.noarch.rpm 1.6.4 noarch Repoforge (RPMforge)
facter-1.6.4-1.el5.rf.noarch.rpm 1.6.4 noarch Repoforge (RPMforge)
facter-1.6.2-1.el5.rf.noarch.rpm 1.6.2 noarch Repoforge (RPMforge)
facter-1.6.2-1.el5.rf.noarch.rpm 1.6.2 noarch Repoforge (RPMforge)
facter-1.6.1-1.el5.rf.noarch.rpm 1.6.1 noarch Repoforge (RPMforge)
facter-1.6.1-1.el5.rf.noarch.rpm 1.6.1 noarch Repoforge (RPMforge)
facter-1.6.0-1.el5.rf.noarch.rpm 1.6.0 noarch Repoforge (RPMforge)
facter-1.6.0-1.el5.rf.noarch.rpm 1.6.0 noarch Repoforge (RPMforge)
facter-1.5.9-1.el5.rf.noarch.rpm 1.5.9 noarch Repoforge (RPMforge)
facter-1.5.9-1.el5.rf.noarch.rpm 1.5.9 noarch Repoforge (RPMforge)
facter-1.5.8-1.el5.rf.noarch.rpm 1.5.8 noarch Repoforge (RPMforge)
facter-1.5.8-1.el5.rf.noarch.rpm 1.5.8 noarch Repoforge (RPMforge)
facter-1.5.7-2.ep.noarch.rpm 1.5.7 noarch End Point
facter-1.5.7-2.ep.noarch.rpm 1.5.7 noarch End Point
facter-1.5.7-1.PU_IAS.5.noarch.rpm 1.5.7 noarch PUIAS Unsupported
facter-1.5.2-1.ep.x86_64.rpm 1.5.2 x86_64 End Point
facter-1.3.7-1.el5.rf.i386.rpm 1.3.7 i386 Repoforge (RPMforge)
facter-1.3.7-1.el5.rf.x86_64.rpm 1.3.7 x86_64 Repoforge (RPMforge)
facter - - -

Requires

Name Value
/usr/bin/ruby -
ruby >= 1.8.1
ruby(abi) = 1.8
which -

Provides

Name Value
facter = 1.5.7-1.PU_IAS.5

Download

Type URL
Binary Package facter-1.5.7-1.PU_IAS.5.noarch.rpm
Source Package facter-1.5.7-1.PU_IAS.5.src.rpm

Install Howto

  1. Create the repository config file /etc/yum.repos.d/puias-unsupported.repo:
    [puias-unsupported]
    name=PUIAS Unsupported
    baseurl=http://springdale.math.ias.edu/data/puias/unsupported/5/i386/
    enabled=1
    gpgcheck=0
    
  2. Install facter rpm package:
    # yum install facter

Files

Path
/usr/bin/facter
/usr/lib/ruby/site_ruby/1.8/facter.rb
/usr/lib/ruby/site_ruby/1.8/facter/Cfkey.rb
/usr/lib/ruby/site_ruby/1.8/facter/architecture.rb
/usr/lib/ruby/site_ruby/1.8/facter/domain.rb
/usr/lib/ruby/site_ruby/1.8/facter/ec2.rb
/usr/lib/ruby/site_ruby/1.8/facter/facterversion.rb
/usr/lib/ruby/site_ruby/1.8/facter/fqdn.rb
/usr/lib/ruby/site_ruby/1.8/facter/hardwareisa.rb
/usr/lib/ruby/site_ruby/1.8/facter/hardwaremodel.rb
/usr/lib/ruby/site_ruby/1.8/facter/hostname.rb
/usr/lib/ruby/site_ruby/1.8/facter/id.rb
/usr/lib/ruby/site_ruby/1.8/facter/interfaces.rb
/usr/lib/ruby/site_ruby/1.8/facter/ipaddress.rb
/usr/lib/ruby/site_ruby/1.8/facter/iphostnumber.rb
/usr/lib/ruby/site_ruby/1.8/facter/kernel.rb
/usr/lib/ruby/site_ruby/1.8/facter/kernelmajversion.rb
/usr/lib/ruby/site_ruby/1.8/facter/kernelrelease.rb
/usr/lib/ruby/site_ruby/1.8/facter/kernelversion.rb
/usr/lib/ruby/site_ruby/1.8/facter/lsb.rb
/usr/lib/ruby/site_ruby/1.8/facter/lsbmajdistrelease.rb
/usr/lib/ruby/site_ruby/1.8/facter/macaddress.rb
/usr/lib/ruby/site_ruby/1.8/facter/macosx.rb
/usr/lib/ruby/site_ruby/1.8/facter/manufacturer.rb
/usr/lib/ruby/site_ruby/1.8/facter/memory.rb
/usr/lib/ruby/site_ruby/1.8/facter/netmask.rb
/usr/lib/ruby/site_ruby/1.8/facter/network.rb
/usr/lib/ruby/site_ruby/1.8/facter/operatingsystem.rb
/usr/lib/ruby/site_ruby/1.8/facter/operatingsystemrelease.rb
/usr/lib/ruby/site_ruby/1.8/facter/path.rb
/usr/lib/ruby/site_ruby/1.8/facter/physicalprocessorcount.rb
/usr/lib/ruby/site_ruby/1.8/facter/processor.rb
/usr/lib/ruby/site_ruby/1.8/facter/ps.rb
/usr/lib/ruby/site_ruby/1.8/facter/puppetversion.rb
/usr/lib/ruby/site_ruby/1.8/facter/rubysitedir.rb
/usr/lib/ruby/site_ruby/1.8/facter/rubyversion.rb
/usr/lib/ruby/site_ruby/1.8/facter/selinux.rb
/usr/lib/ruby/site_ruby/1.8/facter/ssh.rb
/usr/lib/ruby/site_ruby/1.8/facter/timezone.rb
/usr/lib/ruby/site_ruby/1.8/facter/uniqueid.rb
/usr/lib/ruby/site_ruby/1.8/facter/uptime.rb
/usr/lib/ruby/site_ruby/1.8/facter/virtual.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/collection.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/confine.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/fact.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/ip.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/loader.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/macosx.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/manufacturer.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/memory.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/netmask.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/plist.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/resolution.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/uptime.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/values.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/virtual.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/plist/generator.rb
/usr/lib/ruby/site_ruby/1.8/facter/util/plist/parser.rb
/usr/share/doc/facter-1.5.7/CHANGELOG
/usr/share/doc/facter-1.5.7/COPYING
/usr/share/doc/facter-1.5.7/INSTALL
/usr/share/doc/facter-1.5.7/LICENSE
/usr/share/doc/facter-1.5.7/README

Changelog

2009-03-23 - Thomas Uphill <uphill@ias.edu> - 1.5.4-1
- new subdirectories, util and plist added to files and install section
2007-03-29 - David Lutterkort <dlutter@redhat.com> - 1.3.7-1
- New version
2007-01-19 - David Lutterkort <dlutter@redhat.com> - 1.3.6-1
- New version
2007-01-18 - David Lutterkort <dlutter@redhat.com> - 1.3.5-3
- require which; facter is very unhappy without it
2006-11-20 - David Lutterkort <dlutter@redhat.com> - 1.3.5-2
- Make require ruby(abi) and buildarch: noarch conditional for fedora 5 or
later to allow building on older fedora releases
2006-10-10 - David Lutterkort <dlutter@redhat.com> - 1.3.5-1
- New version
2006-09-26 - David Lutterkort <dlutter@redhat.com> - 1.3.4-1
- New version
2006-09-13 - David Lutterkort <dlutter@redhat.com> - 1.3.3-2
- Rebuilt for FC6
2006-06-28 - David Lutterkort <dlutter@redhat.com> - 1.3.3-1
- Rebuilt
2006-06-19 - Luke Kanies <luke@madstop.com> - 1.3.0-1
- Fixed spec file to work again with the extra memory and processor files.
- Require ruby(abi). Build as noarch

See Also

Package Description
fedora-usermgmt-0.8.91-1.PU_IAS.5.noarch.rpm Fedora tools for user management
fedora-usermgmt-core-0.8.91-1.PU_IAS.5.noarch.rpm Core utilities for the fedora-usermgmt
fedora-usermgmt-default-fedora-setup-0.8.91-1.PU_IAS.5.noarch.rpm Default values for baseuid/basegid
fedora-usermgmt-devel-0.8.91-1.PU_IAS.5.noarch.rpm Enhancements for fedora-usermgmt
fedora-usermgmt-shadow-utils-0.8.91-1.PU_IAS.5.noarch.rpm shadow-utils customization for fedora-usermgmt
fig2ps-1.3.6-2.PU_IAS.5.noarch.rpm Utility for converting xfig pictures to PS/PDF
fluxbox-1.0.0-1.PU_IAS.5.i386.rpm Window Manager based on Blackbox
fpc-2.2.0-0.PU_IAS.5.i386.rpm Free Pascal Compiler
fpc-docs-2.2.0-0.PU_IAS.5.i386.rpm Free Pascal Compiler - Documentation
fping-2.4b2-8.PU_IAS.5.i386.rpm Scriptable, parallelized ping-like utility
freefont-20060126-4.sdl5.noarch.rpm Free UCS Outline Fonts
freenx-0.6.0-12.PU_IAS.5.i386.rpm Free Software (GPL) Implementation of the NX Server
func-0.24-1.el5.noarch.rpm Remote management framework
gconfmm26-2.16.0-2.PU_IAS.5.i386.rpm C++ wrapper for GConf2
gconfmm26-devel-2.16.0-2.PU_IAS.5.i386.rpm Headers for developing programs that will use gconfmm
Advertisement
Advertisement